Page MenuHomePhabricator

Php notice showing in Production (Undefined variable: talkButton)
Closed, ResolvedPublic0.5 Story Points

Description

The notice Undefined variable: talkButton in /srv/mediawiki/php-1.28.0-wmf.7/extensions/MobileFrontend/includes/skins/SkinMinerva.php on line 843 is currently being seen in production.

  • talkButton should always be set.

Event Timeline

MaxSem created this task.Jun 23 2016, 10:47 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 23 2016, 10:47 PM

Needs investigation.

jhobs triaged this task as Normal priority.Jun 30 2016, 8:25 PM
Jdlrobson renamed this task from Undefined variable: talkButton in /srv/mediawiki/php-1.28.0-wmf.7/extensions/MobileFrontend/includes/skins/SkinMinerva.php on line 843 to Php notice showing in Production (Undefined variable: talkButton).Jun 30 2016, 8:25 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from To Triage to Triaged but Future on the Readers-Web-Backlog board.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 30 2016, 8:26 PM

Change 298876 had a related patch set uploaded (by Jdlrobson):
Only generate talkButton if there is one

https://gerrit.wikimedia.org/r/298876

Florian closed this task as Resolved.Jul 13 2016, 9:31 PM

Change 298876 merged by jenkins-bot:
Only generate talkButton if there is one

https://gerrit.wikimedia.org/r/298876

Jdlrobson set the point value for this task to 0.5.Jul 18 2016, 5:23 PM